commit:     d2394799408594a7ace7b70e516bf5ceaecc0649
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 18 04:39:45 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 18 14:35:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2394799

sys-kernel/vanilla-kernel: Bump to 4.19.97

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-kernel/vanilla-kernel/Manifest                 |  1 +
 .../vanilla-kernel/vanilla-kernel-4.19.97.ebuild   | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/sys-kernel/vanilla-kernel/Manifest 
b/sys-kernel/vanilla-kernel/Manifest
index a226861321b..a6f3ee83ad4 100644
--- a/sys-kernel/vanilla-kernel/Manifest
+++ b/sys-kernel/vanilla-kernel/Manifest
@@ -3,6 +3,7 @@ DIST linux-4.19.92-arch1.amd64.config 222487 BLAKE2B 
a658d80d85525287a1df9053ca2
 DIST linux-4.19.94.tar.xz 103389152 BLAKE2B 
291db6f448606a4ba288295b4b1c0b813e736534e4749a152baa1d07fcf52bba2b59e7b4b261594a2deb9ad961afec50a28b4ec126f97033f1c0a36aba9f2961
 SHA512 
c6017e854ec06054c658042c2e8227d79284ecdadf0a2e1c5da799ca2ac165a266e7d33aa52361d0036ddb3059e3b24f0a68b45ffd84d87394d3f41492f6f9a4
 DIST linux-4.19.95.tar.xz 103392820 BLAKE2B 
ace518a2ba287bbc7e9a7259a3354284f1118408328e1620eef13eee478ef83dd80e3431e52c46a30dea86313131e650c88dcb5c2cc2f19e07c35b7e843e52dc
 SHA512 
f41e8b50cd12ef86854207491e7f4e4a90d474d0e8354cc430bd73e2458d9bf9893385b6308ea356d02d6f1cfdaf647c1ab364024836b3e10301b1f5353c10d4
 DIST linux-4.19.96.tar.xz 103395480 BLAKE2B 
1bc24dd40d427e088e1569be4d5964ae92028ce6ce7e549734837040c5043b5ef4aae572b1430ea5c03f67b7f071e18c4f58a24a63dcb342f18aecf2401ab9a8
 SHA512 
1fb1ee24429f2183b7e6b85d34e4c88f9c2a82ed95de1b7ca2db3d8ee4815ebcd05cdb171f93e1b0e85f9ffbc3a6fa8c66adceb240d3bf9c38afcc32f21c8dcf
+DIST linux-4.19.97.tar.xz 103398892 BLAKE2B 
b9e69d52c25ea0d02f61eea31f7d14d109a668c8ec775d1e8f3d0f70527e272172e9cab2b348e5671c466780efe5d16c0c051418bc1b6ad4c508555d9a476a99
 SHA512 
7988c5ebf453cffa9f89a3fbaa875afc4ca34cbf684158eaeebd1c709ac6224ea8b3581ec5d2ab09aa55ae0e47170ab30dbafb2688cf28456e2e98b6b2ba986a
 DIST linux-5.4.10.tar.xz 109453652 BLAKE2B 
88706cfc05ec1cc201f08e069dc6ad4f8e6fb49dbef5937208ba1e752e18b46639a5d32d4d0e270a0f2f6ed872aed70beeb2b0367d41fe443437331902a90bb2
 SHA512 
6328ad7e18b6fa982415b0de75e3384f58ce8428bd8c212871a31f3885a0819d241138d384b2e6d1b74a1d260229a027f9c1674a65f5b6c48e6b25e3024a0974
 DIST linux-5.4.11.tar.xz 109456460 BLAKE2B 
38f2620f7773ddd1d26e0638f1e2200e5f37611dc1d606a4200e352a4593bd934f109ee936093194347a26f8797683bbed5e9b81fab353d23bbe1bf28fda2ddc
 SHA512 
75aba0e124def6604cc0050ca7b005d1d5398498d71199cb9e196d5739f0fc25664637849025aa7f965d46f9aecb2fafadc7b35dcb83e396dc4d3a084c458497
 DIST linux-5.4.12.tar.xz 109451372 BLAKE2B 
f08d30011b2021724a240f45a4d0a92ba01b97d0d2d33ce0d88aeb6dfb0a2e5a532fd55ad0a2ef0e3ec160cb23b351a09b494382e80b0db85bcfe7cfeaa554dd
 SHA512 
d178d775b5d6204b2f53c38ecf81d52141a5520b63e758992c75a59d983e448db2a0c220a17b62588baaad1eda2d9b4a6a86e757f5d50041170559ef6bbc2da0

diff --git a/sys-kernel/vanilla-kernel/vanilla-kernel-4.19.97.ebuild 
b/sys-kernel/vanilla-kernel/vanilla-kernel-4.19.97.ebuild
new file mode 100644
index 00000000000..03ea40f919c
--- /dev/null
+++ b/sys-kernel/vanilla-kernel/vanilla-kernel-4.19.97.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV}
+# 
https://git.archlinux.org/svntogit/packages.git/log/trunk/config?h=packages/linux-lts
+AMD64_CONFIG_VER=4.19.92-arch1
+AMD64_CONFIG_HASH=bf97de6a2e405659aaad4c251b7f0bb48d5ed3c9
+# https://git.archlinux32.org/packages/log/core/linux-lts/config
+I686_CONFIG_VER=4.19.85-arch1
+I686_CONFIG_HASH=1f0345e2983d2edd55b401cb5a87fdf365a4192c
+
+DESCRIPTION="Linux kernel built from vanilla upstream sources"
+HOMEPAGE="https://www.kernel.org/";
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 
1).x/${MY_P}.tar.xz
+       amd64? (
+               
https://git.archlinux.org/svntogit/packages.git/plain/trunk/config?h=packages/linux-lts&id=${AMD64_CONFIG_HASH}
+                       -> linux-${AMD64_CONFIG_VER}.amd64.config
+       )
+       x86? (
+               
https://git.archlinux32.org/packages/plain/core/linux-lts/config?id=${I686_CONFIG_HASH}
+                       -> linux-${I686_CONFIG_VER}.i686.config
+       )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       !sys-kernel/vanilla-kernel-bin:${SLOT}"
+
+pkg_pretend() {
+       mount-boot_pkg_pretend
+
+       ewarn "This is an experimental package.  The built kernel and/or 
initramfs"
+       ewarn "may not work at all or fail with your bootloader configuration.  
Please"
+       ewarn "make sure to keep a backup kernel available before testing it."
+}
+
+src_prepare() {
+       default
+
+       # prepare the default config
+       case ${ARCH} in
+               amd64)
+                       cp "${DISTDIR}"/linux-${AMD64_CONFIG_VER}.amd64.config 
.config || die
+                       ;;
+               x86)
+                       cp "${DISTDIR}"/linux-${I686_CONFIG_VER}.i686.config 
.config || die
+                       ;;
+               *)
+                       die "Unsupported arch ${ARCH}"
+                       ;;
+       esac
+
+       local config_tweaks=(
+               # shove arch under the carpet!
+               -e 's:^CONFIG_DEFAULT_HOSTNAME=:&"gentoo":'
+               # we do support x32
+               -e '/CONFIG_X86_X32/s:.*:CONFIG_X86_X32=y:'
+               # disable signatures
+               -e '/CONFIG_MODULE_SIG/d'
+               -e '/CONFIG_SECURITY_LOCKDOWN/d'
+               # disable compression to allow stripping
+               -e '/CONFIG_MODULE_COMPRESS/d'
+               # disable gcc plugins to unbreak distcc
+               -e '/CONFIG_GCC_PLUGIN_STRUCTLEAK/d'
+       )
+       sed -i "${config_tweaks[@]}" .config || die
+}

Reply via email to